package main

// ContainerRuntime defines the interface for managing containerd images
type ContainerRuntime interface {
	// List images: returns map of container image to whether or not it is pinned
	List() (map[string]bool, error)
	Pin(imageRef string) error
	Unpin(imageRef string) error
	Pull(imageRef string) error
	Remove(imageRef string) error
}
